package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.bean.dto.AllocationDto;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 人员档案分配查询结果
 * @Author: CaoZixuan
 * @Date: 2023-08-16
 */
public class UserArchivesAllocationResult {
    @ApiModelProperty("服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceUnitId;

    @ApiModelProperty("服务单元名称")
    private String serviceUnitName;

    @ApiModelProperty("派单id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long crmId;

    @ApiModelProperty("派单号")
    private String crmNo;

    @ApiModelProperty("客户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customId;

    @ApiModelProperty("客户名称")
    private String customName;

    @ApiModelProperty("客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("县")
    private String area;

    @ApiModelProperty("档位等级")
    private String level;

    @ApiModelProperty("角色分配信息")
    private String roleConfigInfo;

    @ApiModelProperty("配额")
    private Integer quota;

    @ApiModelProperty("已分配")
    private Integer distributed;

    @ApiModelProperty("未分配")
    private Integer unDistributed;

    // --编辑页面用的附加信息
    @ApiModelProperty("用户分配的数据")
    private List<AllocationDto> allocationDtoList;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public Long getCrmId() {
        return crmId;
    }

    public void setCrmId(Long crmId) {
        this.crmId = crmId;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public Long getCustomId() {
        return customId;
    }

    public void setCustomId(Long customId) {
        this.customId = customId;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getRoleConfigInfo() {
        return roleConfigInfo;
    }

    public void setRoleConfigInfo(String roleConfigInfo) {
        this.roleConfigInfo = roleConfigInfo;
    }

    public Integer getQuota() {
        return quota;
    }

    public void setQuota(Integer quota) {
        this.quota = quota;
    }

    public Integer getDistributed() {
        return distributed;
    }

    public void setDistributed(Integer distributed) {
        this.distributed = distributed;
    }

    public Integer getUnDistributed() {
        return unDistributed;
    }

    public void setUnDistributed(Integer unDistributed) {
        this.unDistributed = unDistributed;
    }

    public List<AllocationDto> getAllocationDtoList() {
        return allocationDtoList;
    }

    public void setAllocationDtoList(List<AllocationDto> allocationDtoList) {
        this.allocationDtoList = allocationDtoList;
    }
}